---
search:
  tags:
    - Content
    - GET
seo:
  description: >-
    Returns blog/news posts for the shop. Reference for the GET
    /shops/{shop_id}/posts endpoint in the Bolder API v2.
sidebar:
  label: List shop posts
  badge: GET
title: List shop posts
type: openapi-operation
---
Returns blog/news posts for the shop.

`GET /shops/{shop_id}/posts`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops/1/posts"
```

**Responses**

- `200` — Posts list

Response example, 200:

```json
{
  "_class": [
    "results",
    "posts"
  ],
  "total_items": 5,
  "_embedded": {
    "items": [
      {
        "id": 1,
        "shop_id": 1,
        "title": "Summer Sale is Here",
        "slug": "summer-sale",
        "published": true,
        "published_on": "2024-06-01T00:00:00Z",
        "blog_id": 1,
        "translation_of": null,
        "translation_lang": null,
        "created_on": "2024-06-01T00:00:00Z"
      }
    ]
  }
}
```
